Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.builder.shared
Interface TableBuilder

All Superinterfaces:
  ElementBuilderBase<TableBuilder>

All Known Implementing Classes:
  DomTableBuilder, HtmlTableBuilder

    public interface TableBuilder

extends ElementBuilderBase<TableBuilder>

Builds an table element.

Field Summary
`static java.lang.String` | `UNSUPPORTED_HTML`

Method Summary
`TableBuilder` | `border(int border)` The width of the border around the table.
`TableBuilder` | `cellPadding(int cellPadding)` Specifies the horizontal and vertical space between cell content and cell borders.
`TableBuilder` | `cellSpacing(int cellSpacing)` Specifies the horizontal and vertical separation between cells.
`TableBuilder` | `frame(java.lang.String frame)` Specifies which external table borders to render.
`TableBuilder` | `rules(java.lang.String rules)` Specifies which internal table borders to render.
`TableBuilder` | `width(java.lang.String width)` Specifies the desired table width.

Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase
`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

Field Detail

### UNSUPPORTED_HTML

    static final java.lang.String UNSUPPORTED_HTML

See Also:
  Constant Field Values

Method Detail

### border

    TableBuilder border(int border)

  The width of the border around the table.

  See Also:
    W3C HTML Specification

### cellPadding

    TableBuilder cellPadding(int cellPadding)

  Specifies the horizontal and vertical space between cell content and cell borders.

  See Also:
    W3C HTML Specification

### cellSpacing

    TableBuilder cellSpacing(int cellSpacing)

  Specifies the horizontal and vertical separation between cells.

  See Also:
    W3C HTML Specification

### frame

    TableBuilder frame(java.lang.String frame)

  Specifies which external table borders to render.

  See Also:
    W3C HTML Specification

### rules

    TableBuilder rules(java.lang.String rules)

  Specifies which internal table borders to render.

  See Also:
    W3C HTML Specification

### width

    TableBuilder width(java.lang.String width)

  Specifies the desired table width.

  See Also:
    W3C HTML Specification

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD